Alokai

SapccApiDoUpdateSavedCartRequest

Request parameters for doUpdateSavedCart operation in SapccApi. SapccApiDoUpdateSavedCartRequest

interface SapccApiDoUpdateSavedCartRequest {
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiDoUpdateSavedCart
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiDoUpdateSavedCart
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiDoUpdateSavedCart
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiDoUpdateSavedCart

On this page